# SwaggerClient

 API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

This ObjC package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0.0
- Package version: 
- Build date: 2016-11-03T11:50:50.419+04:00
- Build package: class io.swagger.codegen.languages.ObjcClientCodegen

## Requirements

The SDK requires [**ARC (Automatic Reference Counting)**](http://stackoverflow.com/questions/7778356/how-to-enable-disable-automatic-reference-counting) to be enabled in the Xcode project.

## Installation & Usage
### Install from Github using [CocoaPods](https://cocoapods.org/)

Add the following to the Podfile:

```ruby
pod 'SwaggerClient', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'
```

To specify a particular branch, append `, :branch => 'branch-name-here'`

To specify a particular commit, append `, :commit => '11aa22'`

### Install from local path using [CocoaPods](https://cocoapods.org/)

Put the SDK under your project folder (e.g. /path/to/objc_project/Vendor/SwaggerClient) and then add the following to the Podfile:

```ruby
pod 'SwaggerClient', :path => 'Vendor/SwaggerClient'
```

### Usage

Import the following:

```objc
#import <SwaggerClient/SWGApiClient.h>
#import <SwaggerClient/SWGConfiguration.h>
// load models
#import <SwaggerClient/SWGInlineResponse200.h>
#import <SwaggerClient/SWGInlineResponse2001.h>
#import <SwaggerClient/SWGInlineResponse20010.h>
#import <SwaggerClient/SWGInlineResponse20011.h>
#import <SwaggerClient/SWGInlineResponse20012.h>
#import <SwaggerClient/SWGInlineResponse20013.h>
#import <SwaggerClient/SWGInlineResponse20014.h>
#import <SwaggerClient/SWGInlineResponse2002.h>
#import <SwaggerClient/SWGInlineResponse2003.h>
#import <SwaggerClient/SWGInlineResponse2004.h>
#import <SwaggerClient/SWGInlineResponse2005.h>
#import <SwaggerClient/SWGInlineResponse2006.h>
#import <SwaggerClient/SWGInlineResponse2007.h>
#import <SwaggerClient/SWGInlineResponse2008.h>
#import <SwaggerClient/SWGInlineResponse2009.h>
#import <SwaggerClient/SWG_.h>
// load API classes for accessing endpoints
#import <SwaggerClient/SWGApi.h>
#import <SwaggerClient/SWGAuthAPIApi.h>
#import <SwaggerClient/SWGDNSApi.h>
#import <SwaggerClient/SWGHostingftpAPIApi.h>
#import <SwaggerClient/SWGHostingiisAPIApi.h>
#import <SwaggerClient/SWGMicrosoftSQLServerApi.h>
#import <SwaggerClient/SWGMySQLPostgresApi.h>
#import <SwaggerClient/SWGVDSHyperVOpenVZApi.h>

```

## Recommendation

It's recommended to create an instance of ApiClient per thread in a multi-threaded environment to avoid any potential issue.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```objc


NSString* *token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi *apiInstance = [[SWGApi alloc] init];

// Аккаунт: баланс
[apiInstance balanceGetWithToken_:token_
              completionHandler: ^(NSNumber* output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];

```

## Documentation for API Endpoints

All URIs are relative to *https://www.1gb.ru/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SWGApi* | [**balanceGet**](docs/SWGApi.md#balanceget) | **GET** /balance | Аккаунт: баланс
*SWGApi* | [**balanceLicGet**](docs/SWGApi.md#balancelicget) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
*SWGApi* | [**billingDebtGet**](docs/SWGApi.md#billingdebtget) | **GET** /billing/debt | Информация по дебету аккаунта
*SWGApi* | [**billingInfoGet**](docs/SWGApi.md#billinginfoget) | **GET** /billing/info | Информация об аккаунте
*SWGApi* | [**billingLimitsGet**](docs/SWGApi.md#billinglimitsget) | **GET** /billing/limits | Получить ограничения аккаунта
*SWGApi* | [**dnsProlongListGet**](docs/SWGApi.md#dnsprolonglistget) | **GET** /dns/prolong/list | Информация по продлению доменов
*SWGApi* | [**emailAddGet**](docs/SWGApi.md#emailaddget) | **GET** /email/add | Создание почтового ящика
*SWGApi* | [**emailAliasDeleteGet**](docs/SWGApi.md#emailaliasdeleteget) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
*SWGApi* | [**emailAliasListGet**](docs/SWGApi.md#emailaliaslistget) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
*SWGApi* | [**emailDeleteGet**](docs/SWGApi.md#emaildeleteget) | **GET** /email/delete | Удаление почтового ящика
*SWGApi* | [**emailListGet**](docs/SWGApi.md#emaillistget) | **GET** /email/list | Получить список почтовых ящиков
*SWGApi* | [**updatesLastGet**](docs/SWGApi.md#updateslastget) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
*SWGApi* | [**updatesListGet**](docs/SWGApi.md#updateslistget) | **GET** /updates/list | Список записей аудита
*SWGApi* | [**websiteDeleteGet**](docs/SWGApi.md#websitedeleteget) | **GET** /website/delete | Удаление сайта
*SWGApi* | [**websiteListGet**](docs/SWGApi.md#websitelistget) | **GET** /website/list | Список сайтов аккаунта
*SWGAuthAPIApi* | [**authLoginPost**](docs/SWGAuthAPIApi.md#authloginpost) | **POST** /auth/login | Получить ключ доступа
*SWGAuthAPIApi* | [**authStartGet**](docs/SWGAuthAPIApi.md#authstartget) | **GET** /auth/start | Получить соль
*SWGDNSApi* | [**dnsAddGet**](docs/SWGDNSApi.md#dnsaddget) | **GET** /dns/add | Создание записи домена
*SWGDNSApi* | [**dnsBindGet**](docs/SWGDNSApi.md#dnsbindget) | **GET** /dns/bind | Привязка одного домена к другому
*SWGDNSApi* | [**dnsListGet**](docs/SWGDNSApi.md#dnslistget) | **GET** /dns/list | Получить список доменных имён
*SWGDNSApi* | [**dnsProlongListGet**](docs/SWGDNSApi.md#dnsprolonglistget) | **GET** /dns/prolong/list | Информация по продлению доменов
*SWGDNSApi* | [**dnsRawGet**](docs/SWGDNSApi.md#dnsrawget) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
*SWGDNSApi* | [**dnsRawManagedmxGet**](docs/SWGDNSApi.md#dnsrawmanagedmxget) | **GET** /dns/raw/managedmx | Редактировать DNS-зону
*SWGHostingftpAPIApi* | [**ftpListGet**](docs/SWGHostingftpAPIApi.md#ftplistget) | **GET** /ftp/list | Получить список зарегистрированных аккаунтов FTP
*SWGHostingiisAPIApi* | [**iisListGet**](docs/SWGHostingiisAPIApi.md#iislistget) | **GET** /iis/list | Список сайтов IIS
*SWGMicrosoftSQLServerApi* | [**mssqlListGet**](docs/SWGMicrosoftSQLServerApi.md#mssqllistget) | **GET** /mssql/list | Получить список аккаунтов в MSSQL
*SWGMySQLPostgresApi* | [**databaseListGet**](docs/SWGMySQLPostgresApi.md#databaselistget) | **GET** /database/list | Список аккаунтов в базах данных UNIX
*SWGVDSHyperVOpenVZApi* | [**vdsCreateGet**](docs/SWGVDSHyperVOpenVZApi.md#vdscreateget) | **GET** /vds/create | Изменение параметров VDS
*SWGVDSHyperVOpenVZApi* | [**vdsDeleteGet**](docs/SWGVDSHyperVOpenVZApi.md#vdsdeleteget) | **GET** /vds/delete | Удаление VDS
*SWGVDSHyperVOpenVZApi* | [**vdsIpAddGet**](docs/SWGVDSHyperVOpenVZApi.md#vdsipaddget) | **GET** /vds/ip/add | Добавление IP на VDS
*SWGVDSHyperVOpenVZApi* | [**vdsIpDeleteGet**](docs/SWGVDSHyperVOpenVZApi.md#vdsipdeleteget) | **GET** /vds/ip/delete | Удаление IP с VDS
*SWGVDSHyperVOpenVZApi* | [**vdsIpListGet**](docs/SWGVDSHyperVOpenVZApi.md#vdsiplistget) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
*SWGVDSHyperVOpenVZApi* | [**vdsListGet**](docs/SWGVDSHyperVOpenVZApi.md#vdslistget) | **GET** /vds/list | Список виртуальных серверов
*SWGVDSHyperVOpenVZApi* | [**vdsRebootGet**](docs/SWGVDSHyperVOpenVZApi.md#vdsrebootget) | **GET** /vds/reboot | Перезагрузка VDS
*SWGVDSHyperVOpenVZApi* | [**vdsTemplatesListGet**](docs/SWGVDSHyperVOpenVZApi.md#vdstemplateslistget) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
*SWGVDSHyperVOpenVZApi* | [**vdsUpdateGet**](docs/SWGVDSHyperVOpenVZApi.md#vdsupdateget) | **GET** /vds/update | Создание VDS


## Documentation For Models

 - [SWGInlineResponse200](docs/SWGInlineResponse200.md)
 - [SWGInlineResponse2001](docs/SWGInlineResponse2001.md)
 - [SWGInlineResponse20010](docs/SWGInlineResponse20010.md)
 - [SWGInlineResponse20011](docs/SWGInlineResponse20011.md)
 - [SWGInlineResponse20012](docs/SWGInlineResponse20012.md)
 - [SWGInlineResponse20013](docs/SWGInlineResponse20013.md)
 - [SWGInlineResponse20014](docs/SWGInlineResponse20014.md)
 - [SWGInlineResponse2002](docs/SWGInlineResponse2002.md)
 - [SWGInlineResponse2003](docs/SWGInlineResponse2003.md)
 - [SWGInlineResponse2004](docs/SWGInlineResponse2004.md)
 - [SWGInlineResponse2005](docs/SWGInlineResponse2005.md)
 - [SWGInlineResponse2006](docs/SWGInlineResponse2006.md)
 - [SWGInlineResponse2007](docs/SWGInlineResponse2007.md)
 - [SWGInlineResponse2008](docs/SWGInlineResponse2008.md)
 - [SWGInlineResponse2009](docs/SWGInlineResponse2009.md)
 - [SWG_](docs/SWG_.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author




