#import <Foundation/Foundation.h>
#import "SWGInlineResponse200.h"
#import "SWGInlineResponse2001.h"
#import "SWG_.h"
#import "SWGInlineResponse2004.h"
#import "SWGInlineResponse2005.h"
#import "SWGInlineResponse2006.h"
#import "SWGInlineResponse20010.h"
#import "SWGInlineResponse20014.h"
#import "SWGApi.h"

/**
* 1Gb API
*  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
*
* OpenAPI spec version: 2.0.0
* 
*
* NOTE: This class is auto generated by the swagger code generator program.
* https://github.com/swagger-api/swagger-codegen.git
* Do not edit the class manually.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


@interface SWGApi: NSObject <SWGApi>

extern NSString* kSWGApiErrorDomain;
extern NSInteger kSWGApiMissingParamErrorCode;

+(instancetype) sharedAPI;

/// Аккаунт: баланс
/// Возвращает текущий баланс аккаунта
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Текущий баланс аккаунта хостинга",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSNumber*
-(NSNumber*) balanceGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSNumber* output, NSError* error)) handler;


/// Аккаунт: баланс аккаунта лицензий
/// Возвращает текущий баланс аккаунта лицензий
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Текущий баланс аккаунта лицензий",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSNumber*
-(NSNumber*) balanceLicGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSNumber* output, NSError* error)) handler;


/// Информация по дебету аккаунта
/// Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Информация по дебету аккаунта",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse200>*
-(NSNumber*) billingDebtGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse200>* output, NSError* error)) handler;


/// Информация об аккаунте
/// Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Информация об аккаунте",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse2001>*
-(NSNumber*) billingInfoGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse2001>* output, NSError* error)) handler;


/// Получить ограничения аккаунта
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Ограничения аккаунта",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return SWG_*
-(NSNumber*) billingLimitsGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(SWG_* output, NSError* error)) handler;


/// Информация по продлению доменов
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Информация по продлению доменов",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse2004>*
-(NSNumber*) dnsProlongListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse2004>* output, NSError* error)) handler;


/// Создание почтового ящика
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param addEmail Адрес почтового ящика, который необходимо создать
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) emailAddGetWithToken_: (NSString*) token_
    addEmail: (NSString*) addEmail
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Удаление псевдонимов почтовых ящиков
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ Адрес почтового ящика, подлежащего удалению
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) emailAliasDeleteGetWithToken_: (NSString*) token_
    key_: (NSString*) key_
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Получить список псевдонимов почтовых ящиков
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Список псевдонимов почтовых ящиков",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse2005>*
-(NSNumber*) emailAliasListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse2005>* output, NSError* error)) handler;


/// Удаление почтового ящика
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ Адрес почтового ящика, подлежащего удалению
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) emailDeleteGetWithToken_: (NSString*) token_
    key_: (NSString*) key_
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Получить список почтовых ящиков
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Список почтовых ящиков",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse2006>*
-(NSNumber*) emailListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse2006>* output, NSError* error)) handler;


/// Идентификатор последнего уведомления в аудите
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Идентификатор последнего уведомления в аудите",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSNumber*
-(NSNumber*) updatesLastGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSNumber* output, NSError* error)) handler;


/// Список записей аудита
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID первой записи для показа или 0 для показа всех записей
/// 
///  code:200 message:"Список записей аудита",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse20010>*
-(NSNumber*) updatesListGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    completionHandler: (void (^)(NSArray<SWGInlineResponse20010>* output, NSError* error)) handler;


/// Удаление сайта
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID сайта, полученный из /website/list
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) websiteDeleteGetWithToken_: (NSString*) token_
    key_: (NSString*) key_
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Список сайтов аккаунта
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Список сайтов аккаунта",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse20014>*
-(NSNumber*) websiteListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse20014>* output, NSError* error)) handler;



@end
