#import <Foundation/Foundation.h>
#import "SWGInlineResponse2003.h"
#import "SWGInlineResponse2004.h"
#import "SWGApi.h"

/**
* 1Gb API
*  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
*
* OpenAPI spec version: 2.0.0
* 
*
* NOTE: This class is auto generated by the swagger code generator program.
* https://github.com/swagger-api/swagger-codegen.git
* Do not edit the class manually.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


@interface SWGDNSApi: NSObject <SWGApi>

extern NSString* kSWGDNSApiErrorDomain;
extern NSInteger kSWGDNSApiMissingParamErrorCode;

+(instancetype) sharedAPI;

/// Создание записи домена
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param addDnsZone зона, которую необходимо создать
/// @param addDnsRecord  (optional)
/// @param iisSiteForDns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
/// @param bindOnly  (optional)
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) dnsAddGetWithToken_: (NSString*) token_
    addDnsZone: (NSString*) addDnsZone
    addDnsRecord: (NSString*) addDnsRecord
    iisSiteForDns: (NSString*) iisSiteForDns
    bindOnly: (NSNumber*) bindOnly
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Привязка одного домена к другому
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID домена из списка /dns/list
/// @param bindTo домен, к которому необходимо сделать привязку (optional)
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) dnsBindGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    bindTo: (NSString*) bindTo
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Получить список доменных имён
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Список доменных имён",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse2003>*
-(NSNumber*) dnsListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse2003>* output, NSError* error)) handler;


/// Информация по продлению доменов
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Информация по продлению доменов",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse2004>*
-(NSNumber*) dnsProlongListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse2004>* output, NSError* error)) handler;


/// Редактирование \"сырой\" зоны
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID домена из /dns/list
/// @param sDel Значение &#39;1&#39; сообщает, что запись необходимо удалить
/// @param sAdd Значение &#39;1&#39; сообщает, что запись необходимо создать
/// @param dnsType Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
/// @param dnsName Имя записи, либо &#39;@&#39; для корневой
/// @param dnsValue Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) dnsRawGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    sDel: (NSNumber*) sDel
    sAdd: (NSNumber*) sAdd
    dnsType: (NSString*) dnsType
    dnsName: (NSString*) dnsName
    dnsValue: (NSString*) dnsValue
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Редактировать DNS-зону
/// 
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID домена из /dns/list
/// @param managedMx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить
/// @param updManagedMx Значение &#39;1&#39; подтверждает операцию
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) dnsRawManagedmxGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    managedMx: (NSNumber*) managedMx
    updManagedMx: (NSNumber*) updManagedMx
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;



@end
