#import <Foundation/Foundation.h>
#import "SWGInlineResponse20011.h"
#import "SWGInlineResponse20012.h"
#import "SWGInlineResponse20013.h"
#import "SWGApi.h"

/**
* 1Gb API
*  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
*
* OpenAPI spec version: 2.0.0
* 
*
* NOTE: This class is auto generated by the swagger code generator program.
* https://github.com/swagger-api/swagger-codegen.git
* Do not edit the class manually.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/


@interface SWGVDSHyperVOpenVZApi: NSObject <SWGApi>

extern NSString* kSWGVDSHyperVOpenVZApiErrorDomain;
extern NSInteger kSWGVDSHyperVOpenVZApiMissingParamErrorCode;

+(instancetype) sharedAPI;

/// Изменение параметров VDS
/// Изменение параметров уже существующего VDS
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; (optional)
/// @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
/// @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
/// @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
/// @param template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
/// @param forceMemo  (optional)
/// @param hv1gbPanelVersion  (optional)
/// @param panelInstall Необходимо ли установить панель 1Gb на VDS (optional)
/// @param crSsd1 Создать всю систему на SSD (optional)
/// @param crHvAllSystem Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)
/// 
///  code:200 message:"ID VDS",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) vdsCreateGetWithToken_: (NSString*) token_
    type: (NSString*) type
    crHvmem: (NSNumber*) crHvmem
    crHvdsk: (NSNumber*) crHvdsk
    crHvcpu: (NSNumber*) crHvcpu
    template: (NSString*) template
    forceMemo: (NSString*) forceMemo
    hv1gbPanelVersion: (NSString*) hv1gbPanelVersion
    panelInstall: (NSNumber*) panelInstall
    crSsd1: (NSNumber*) crSsd1
    crHvAllSystem: (NSNumber*) crHvAllSystem
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Удаление VDS
/// Предоставляет функционал для удаления VDS
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера, полученный из /vds/list
/// @param forceCritical Если true, VDS будет удален срочно (optional)
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) vdsDeleteGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    forceCritical: (NSNumber*) forceCritical
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Добавление IP на VDS
/// Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера, полученный из /vds/list
/// 
///  code:200 message:"IP-адрес успешно добавлен",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) vdsIpAddGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Удаление IP с VDS
/// Этот вызов позволяет отвязать IP адрес от VDS
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера, полученный из /vds/list
/// @param delIp IP адрес, который необходимо удалить
/// 
///  code:200 message:"IP-адрес успешно удалён",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) vdsIpDeleteGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    delIp: (NSString*) delIp
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Список IP-адресов виртуальных серверов
/// Список IP-адресов виртуальных серверов
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера, полученный из /vds/list (optional)
/// 
///  code:200 message:"Список IP-адресов виртуальных серверов",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse20011>*
-(NSNumber*) vdsIpListGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    completionHandler: (void (^)(NSArray<SWGInlineResponse20011>* output, NSError* error)) handler;


/// Список виртуальных серверов
/// Позволяет получить список виртуальных серверов
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)
/// 
///  code:200 message:"Список виртуальных серверов",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse20012>*
-(NSNumber*) vdsListGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    completionHandler: (void (^)(NSArray<SWGInlineResponse20012>* output, NSError* error)) handler;


/// Перезагрузка VDS
/// Предоставляет функционал для перезагрузки VDS
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера, полученный из /vds/list
/// 
///  code:200 message:"Возврат строки 'OK' означает успех операции",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) vdsRebootGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;


/// Список шаблонов виртуальных серверов
/// Позволяет получить список шаблонов виртуальных серверов
///
/// @param token_ Ключ доступа, полученный при авторизации
/// 
///  code:200 message:"Список шаблонов виртуальных серверов",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSArray<SWGInlineResponse20013>*
-(NSNumber*) vdsTemplatesListGetWithToken_: (NSString*) token_
    completionHandler: (void (^)(NSArray<SWGInlineResponse20013>* output, NSError* error)) handler;


/// Создание VDS
/// Создание новых VDS с произвольными характеристиками
///
/// @param token_ Ключ доступа, полученный при авторизации
/// @param key_ ID виртуального сервера, полученный из /vds/list
/// @param crHvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
/// @param crHvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
/// @param crHvcpu Количество ядер CPU. По умолчанию 2 (optional)
/// 
///  code:200 message:"Параметры VDS успешно обновлены",
///  code:0 message:"Общая ошибка от сервера"
///
/// @return NSString*
-(NSNumber*) vdsUpdateGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    crHvmem: (NSNumber*) crHvmem
    crHvdsk: (NSNumber*) crHvdsk
    crHvcpu: (NSNumber*) crHvcpu
    completionHandler: (void (^)(NSString* output, NSError* error)) handler;



@end
