#import <Foundation/Foundation.h>
#import "SWGObject.h"

/**
* 1Gb API
*  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
*
* OpenAPI spec version: 2.0.0
* 
*
* NOTE: This class is auto generated by the swagger code generator program.
* https://github.com/swagger-api/swagger-codegen.git
* Do not edit the class manually.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/



@protocol SWGInlineResponse20014
@end

@interface SWGInlineResponse20014 : SWGObject

/*  
 */
@property(nonatomic) NSNumber* _id;
/*  
 */
@property(nonatomic) NSString* status;
/*  
 */
@property(nonatomic) NSString* unmovable;
/* Включен (активен), если true. 
 */
@property(nonatomic) NSString* online;
/* Удален, если true. Данные могут сохраняться. 
 */
@property(nonatomic) NSString* deleted;
/* Удален, если true. Данные могут сохраняться. 
 */
@property(nonatomic) NSString* deletedAuto;
/*  
 */
@property(nonatomic) NSString* deletedDump;
/*  
 */
@property(nonatomic) NSString* userId;
/*  
 */
@property(nonatomic) NSString* ftpId;
/*  
 */
@property(nonatomic) NSString* dnsId;
/*  
 */
@property(nonatomic) NSString* iisId;
/*  
 */
@property(nonatomic) NSString* iisBinding;
/*  
 */
@property(nonatomic) NSString* iisPath;
/* Уникальное строковое имя сайта (ID). 
 */
@property(nonatomic) NSString* iisComments;
/*  
 */
@property(nonatomic) NSString* memo;
/* Дата создания. 
 */
@property(nonatomic) NSString* dateReg;
/* Тип веб-сервера. 
 */
@property(nonatomic) NSString* server;
/*  
 */
@property(nonatomic) NSString* serverBak;
/*  
 */
@property(nonatomic) NSString* serverAux;
/* Тип сервера недавно изменялся, если true. 
 */
@property(nonatomic) NSString* serverTransition;
/*  
 */
@property(nonatomic) NSString* serverTransitionDtc;
/*  
 */
@property(nonatomic) NSString* blockTransfer;
/*  
 */
@property(nonatomic) NSString* serverChangedTime;
/* Размер веб-сайта - объем (Кб). 
 */
@property(nonatomic) NSString* sizeAmount;
/* Размер веб-сайта - кол-во файлов. 
 */
@property(nonatomic) NSString* sizeFileCount;
/*  
 */
@property(nonatomic) NSString* sizeFileCountLimit;
/* Размер веб-сайта - дата замера. 
 */
@property(nonatomic) NSString* sizeDate;
/*  
 */
@property(nonatomic) NSString* sizePriorityScan;
/*  
 */
@property(nonatomic) NSString* varCopyLogs;
/*  
 */
@property(nonatomic) NSString* contentComments;
/*  
 */
@property(nonatomic) NSString* contentCommentsVerbose;
/*  
 */
@property(nonatomic) NSString* metaSaveCount;
/*  
 */
@property(nonatomic) NSString* baseFolder;
/*  
 */
@property(nonatomic) NSString* virtualhostConf;
/*  
 */
@property(nonatomic) NSString* virtualhostServer;
/*  
 */
@property(nonatomic) NSString* virtualhostServerConf;
/*  
 */
@property(nonatomic) NSString* liveDayCount;
/*  
 */
@property(nonatomic) NSString* scanDate;
/*  
 */
@property(nonatomic) NSString* globalTransferCount;
/*  
 */
@property(nonatomic) NSString* netLimitFile;
/*  
 */
@property(nonatomic) NSString* netLimitDenyFromIp;
/*  
 */
@property(nonatomic) NSString* netLimitDenyFromAgent;
/*  
 */
@property(nonatomic) NSString* apachePhpPooled;
/*  
 */
@property(nonatomic) NSString* apachePhpPooledExt;
/*  
 */
@property(nonatomic) NSString* apachePhpPooledExtAuto;
/*  
 */
@property(nonatomic) NSString* apachePhpPool1Only;
/*  
 */
@property(nonatomic) NSString* apachePhpPool5Only;
/*  
 */
@property(nonatomic) NSString* apacheSsi;
/*  
 */
@property(nonatomic) NSString* bypassSecurity;
/*  
 */
@property(nonatomic) NSString* flagGenericExec;
/*  
 */
@property(nonatomic) NSString* flagNoWww;
/*  
 */
@property(nonatomic) NSString* baseFolderSuffix;
/*  
 */
@property(nonatomic) NSString* feedbackSpeed;
/*  
 */
@property(nonatomic) NSString* feedbackSpeedDtc;
/*  
 */
@property(nonatomic) NSString* feedbackSpeedFeedback;
/*  
 */
@property(nonatomic) NSString* unixPathOnWindows;
/* Ограничение по IP адресам - FTP доступ. 
 */
@property(nonatomic) NSString* ftpIpfilter;
/* Ограничение по IP адресам - SSH доступ. 
 */
@property(nonatomic) NSString* sshIpfilter;
/*  
 */
@property(nonatomic) NSString* l3dAuto;
/*  
 */
@property(nonatomic) NSString* awstatsPrimaryDomain;
/*  
 */
@property(nonatomic) NSString* sharepointMode;
/*  
 */
@property(nonatomic) NSString* sharepointModePending;
/*  
 */
@property(nonatomic) NSString* apacheGenericPoolPort;
/*  
 */
@property(nonatomic) NSString* mongrelEnvironment;
/*  
 */
@property(nonatomic) NSString* flagFree;
/*  
 */
@property(nonatomic) NSString* rtmScanDate;
/*  
 */
@property(nonatomic) NSString* analyzeAnalog;
/* Включен режим предоставления детализации процессорной нагрузки. 
 */
@property(nonatomic) NSString* cpuDetailsEnabled;
/*  
 */
@property(nonatomic) NSString* contentModeratedStatus;
/*  
 */
@property(nonatomic) NSString* contentModeratedDate;
/*  
 */
@property(nonatomic) NSString* httpFrontendIp;
/*  
 */
@property(nonatomic) NSString* httpFrontendIpTransition;
/* Дата последнего превышения процессорной нагрузки. 
 */
@property(nonatomic) NSString* cpuLimitExceededDate;
/* Признак сайта-конструктора. 
 */
@property(nonatomic) NSString* aufsTemplate;
/*  
 */
@property(nonatomic) NSString* optionsAutolimit;
/* Версия ASP.NET, если отлична от 2.0. 
 */
@property(nonatomic) NSString* iisCreationCommands;
/*  
 */
@property(nonatomic) NSString* iisCreationCommandsUnix;
/*  
 */
@property(nonatomic) NSString* thumbDate;
/*  
 */
@property(nonatomic) NSString* thumbFailed;
/*  
 */
@property(nonatomic) NSString* backupStatDate;
/* Дата пофайловой резервной копии. 
 */
@property(nonatomic) NSString* backupDate;
/*  
 */
@property(nonatomic) NSString* detectedPackages;
/*  
 */
@property(nonatomic) NSString* statSitePower;
/*  
 */
@property(nonatomic) NSString* smtpFrom;
/*  
 */
@property(nonatomic) NSString* superBackupDate;
/*  
 */
@property(nonatomic) NSString* backupDeltaStatDate;
/* Дата архивной резервной копии. 
 */
@property(nonatomic) NSString* backupDeltaDate;
/* Содержимое архивной резервной копии. 
 */
@property(nonatomic) NSString* backupDeltaDesc;
/*  
 */
@property(nonatomic) NSString* altDocrootServer;
/*  
 */
@property(nonatomic) NSString* altDocrootPath;
/*  
 */
@property(nonatomic) NSString* altDocrootStatus;
/*  
 */
@property(nonatomic) NSString* altDocrootStatusCnt;
/*  
 */
@property(nonatomic) NSString* altDocrootStatusDate;
/* Последнее изменение привязок доменов для сайта. 
 */
@property(nonatomic) NSString* bindDtc;
/*  
 */
@property(nonatomic) NSString* backupSpecialMode;
/*  
 */
@property(nonatomic) NSString* sizeCheckProblem;
/*  
 */
@property(nonatomic) NSString* wpbDomain;
/* Для сайта включен конструктор Parallels WPB. 
 */
@property(nonatomic) NSString* wpbUuid;
/*  
 */
@property(nonatomic) NSString* wpbStatus;
/*  
 */
@property(nonatomic) NSString* adminProtection;
/*  
 */
@property(nonatomic) NSString* sizeComments;
/*  
 */
@property(nonatomic) NSString* altDocrootSsdReq;
/*  
 */
@property(nonatomic) NSString* mailLimit;
/*  
 */
@property(nonatomic) NSString* mailAccept;
/*  
 */
@property(nonatomic) NSString* mailDrop;
/* FTP/SSH/SCP/SFTP логин. 
 */
@property(nonatomic) NSString* ftpName;
/* FTP/SSH/SCP/SFTP пароль. 
 */
@property(nonatomic) NSString* ftpPwd;

@end
