# SWGApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**balanceGet**](SWGApi.md#balanceget) | **GET** /balance | Аккаунт: баланс
[**balanceLicGet**](SWGApi.md#balancelicget) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
[**billingDebtGet**](SWGApi.md#billingdebtget) | **GET** /billing/debt | Информация по дебету аккаунта
[**billingInfoGet**](SWGApi.md#billinginfoget) | **GET** /billing/info | Информация об аккаунте
[**billingLimitsGet**](SWGApi.md#billinglimitsget) | **GET** /billing/limits | Получить ограничения аккаунта
[**dnsProlongListGet**](SWGApi.md#dnsprolonglistget) | **GET** /dns/prolong/list | Информация по продлению доменов
[**emailAddGet**](SWGApi.md#emailaddget) | **GET** /email/add | Создание почтового ящика
[**emailAliasDeleteGet**](SWGApi.md#emailaliasdeleteget) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
[**emailAliasListGet**](SWGApi.md#emailaliaslistget) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
[**emailDeleteGet**](SWGApi.md#emaildeleteget) | **GET** /email/delete | Удаление почтового ящика
[**emailListGet**](SWGApi.md#emaillistget) | **GET** /email/list | Получить список почтовых ящиков
[**updatesLastGet**](SWGApi.md#updateslastget) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
[**updatesListGet**](SWGApi.md#updateslistget) | **GET** /updates/list | Список записей аудита
[**websiteDeleteGet**](SWGApi.md#websitedeleteget) | **GET** /website/delete | Удаление сайта
[**websiteListGet**](SWGApi.md#websitelistget) | **GET** /website/list | Список сайтов аккаунта


# **balanceGet**
```objc
-(NSNumber*) balanceGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSNumber* output, NSError* error)) handler;
```

Аккаунт: баланс

Возвращает текущий баланс аккаунта

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Аккаунт: баланс
[apiInstance balanceGetWithToken_:token_
          completionHandler: ^(NSNumber* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->balanceGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

**NSNumber***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **balanceLicGet**
```objc
-(NSNumber*) balanceLicGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSNumber* output, NSError* error)) handler;
```

Аккаунт: баланс аккаунта лицензий

Возвращает текущий баланс аккаунта лицензий

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Аккаунт: баланс аккаунта лицензий
[apiInstance balanceLicGetWithToken_:token_
          completionHandler: ^(NSNumber* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->balanceLicGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

**NSNumber***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **billingDebtGet**
```objc
-(NSNumber*) billingDebtGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse200>* output, NSError* error)) handler;
```

Информация по дебету аккаунта

Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Информация по дебету аккаунта
[apiInstance billingDebtGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse200>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->billingDebtGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse200>***](SWGInlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **billingInfoGet**
```objc
-(NSNumber*) billingInfoGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2001>* output, NSError* error)) handler;
```

Информация об аккаунте

Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Информация об аккаунте
[apiInstance billingInfoGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2001>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->billingInfoGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2001>***](SWGInlineResponse2001.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **billingLimitsGet**
```objc
-(NSNumber*) billingLimitsGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(SWG_* output, NSError* error)) handler;
```

Получить ограничения аккаунта

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Получить ограничения аккаунта
[apiInstance billingLimitsGetWithToken_:token_
          completionHandler: ^(SWG_* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->billingLimitsGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**SWG_***](SWG_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dnsProlongListGet**
```objc
-(NSNumber*) dnsProlongListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2004>* output, NSError* error)) handler;
```

Информация по продлению доменов

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Информация по продлению доменов
[apiInstance dnsProlongListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2004>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->dnsProlongListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2004>***](SWGInlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emailAddGet**
```objc
-(NSNumber*) emailAddGetWithToken_: (NSString*) token_
    addEmail: (NSString*) addEmail
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Создание почтового ящика

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSString* addEmail = @"addEmail_example"; // Адрес почтового ящика, который необходимо создать

SWGApi*apiInstance = [[SWGApi alloc] init];

// Создание почтового ящика
[apiInstance emailAddGetWithToken_:token_
              addEmail:addEmail
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->emailAddGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **addEmail** | **NSString***| Адрес почтового ящика, который необходимо создать | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emailAliasDeleteGet**
```objc
-(NSNumber*) emailAliasDeleteGetWithToken_: (NSString*) token_
    key_: (NSString*) key_
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Удаление псевдонимов почтовых ящиков

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSString* key_ = @"key__example"; // Адрес почтового ящика, подлежащего удалению

SWGApi*apiInstance = [[SWGApi alloc] init];

// Удаление псевдонимов почтовых ящиков
[apiInstance emailAliasDeleteGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->emailAliasDeleteGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSString***| Адрес почтового ящика, подлежащего удалению | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emailAliasListGet**
```objc
-(NSNumber*) emailAliasListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2005>* output, NSError* error)) handler;
```

Получить список псевдонимов почтовых ящиков

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Получить список псевдонимов почтовых ящиков
[apiInstance emailAliasListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2005>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->emailAliasListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2005>***](SWGInlineResponse2005.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emailDeleteGet**
```objc
-(NSNumber*) emailDeleteGetWithToken_: (NSString*) token_
    key_: (NSString*) key_
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Удаление почтового ящика

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSString* key_ = @"key__example"; // Адрес почтового ящика, подлежащего удалению

SWGApi*apiInstance = [[SWGApi alloc] init];

// Удаление почтового ящика
[apiInstance emailDeleteGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->emailDeleteGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSString***| Адрес почтового ящика, подлежащего удалению | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **emailListGet**
```objc
-(NSNumber*) emailListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2006>* output, NSError* error)) handler;
```

Получить список почтовых ящиков

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Получить список почтовых ящиков
[apiInstance emailListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2006>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->emailListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2006>***](SWGInlineResponse2006.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **updatesLastGet**
```objc
-(NSNumber*) updatesLastGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSNumber* output, NSError* error)) handler;
```

Идентификатор последнего уведомления в аудите

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Идентификатор последнего уведомления в аудите
[apiInstance updatesLastGetWithToken_:token_
          completionHandler: ^(NSNumber* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->updatesLastGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

**NSNumber***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **updatesListGet**
```objc
-(NSNumber*) updatesListGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
        completionHandler: (void (^)(NSArray<SWGInlineResponse20010>* output, NSError* error)) handler;
```

Список записей аудита

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID первой записи для показа или 0 для показа всех записей

SWGApi*apiInstance = [[SWGApi alloc] init];

// Список записей аудита
[apiInstance updatesListGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSArray<SWGInlineResponse20010>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->updatesListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID первой записи для показа или 0 для показа всех записей | 

### Return type

[**NSArray<SWGInlineResponse20010>***](SWGInlineResponse20010.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **websiteDeleteGet**
```objc
-(NSNumber*) websiteDeleteGetWithToken_: (NSString*) token_
    key_: (NSString*) key_
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Удаление сайта

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSString* key_ = @"key__example"; // ID сайта, полученный из /website/list

SWGApi*apiInstance = [[SWGApi alloc] init];

// Удаление сайта
[apiInstance websiteDeleteGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->websiteDeleteGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSString***| ID сайта, полученный из /website/list | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **websiteListGet**
```objc
-(NSNumber*) websiteListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse20014>* output, NSError* error)) handler;
```

Список сайтов аккаунта

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGApi*apiInstance = [[SWGApi alloc] init];

// Список сайтов аккаунта
[apiInstance websiteListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse20014>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGApi->websiteListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse20014>***](SWGInlineResponse20014.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

