# SWGAuthAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authLoginPost**](SWGAuthAPIApi.md#authloginpost) | **POST** /auth/login | Получить ключ доступа
[**authStartGet**](SWGAuthAPIApi.md#authstartget) | **GET** /auth/start | Получить соль


# **authLoginPost**
```objc
-(NSNumber*) authLoginPostWithLogin: (NSString*) login
    salt: (NSString*) salt
    response: (NSString*) response
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Получить ключ доступа

Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))

### Example 
```objc

NSString* login = @"login_example"; // Имя пользователя
NSString* salt = @"salt_example"; // Соль (см. /auth/start)
NSString* response = @"response_example"; // Вычисленный хэш

SWGAuthAPIApi*apiInstance = [[SWGAuthAPIApi alloc] init];

// Получить ключ доступа
[apiInstance authLoginPostWithLogin:login
              salt:salt
              response:response
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGAuthAPIApi->authLoginPost: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **NSString***| Имя пользователя | 
 **salt** | **NSString***| Соль (см. /auth/start) | 
 **response** | **NSString***| Вычисленный хэш | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **authStartGet**
```objc
-(NSNumber*) authStartGetWithLogin: (NSString*) login
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Получить соль

Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.

### Example 
```objc

NSString* login = @"login_example"; // Имя пользователя

SWGAuthAPIApi*apiInstance = [[SWGAuthAPIApi alloc] init];

// Получить соль
[apiInstance authStartGetWithLogin:login
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGAuthAPIApi->authStartGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **NSString***| Имя пользователя | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

