# SWGDNSApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**dnsAddGet**](SWGDNSApi.md#dnsaddget) | **GET** /dns/add | Создание записи домена
[**dnsBindGet**](SWGDNSApi.md#dnsbindget) | **GET** /dns/bind | Привязка одного домена к другому
[**dnsListGet**](SWGDNSApi.md#dnslistget) | **GET** /dns/list | Получить список доменных имён
[**dnsProlongListGet**](SWGDNSApi.md#dnsprolonglistget) | **GET** /dns/prolong/list | Информация по продлению доменов
[**dnsRawGet**](SWGDNSApi.md#dnsrawget) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
[**dnsRawManagedmxGet**](SWGDNSApi.md#dnsrawmanagedmxget) | **GET** /dns/raw/managedmx | Редактировать DNS-зону


# **dnsAddGet**
```objc
-(NSNumber*) dnsAddGetWithToken_: (NSString*) token_
    addDnsZone: (NSString*) addDnsZone
    addDnsRecord: (NSString*) addDnsRecord
    iisSiteForDns: (NSString*) iisSiteForDns
    bindOnly: (NSNumber*) bindOnly
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Создание записи домена

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSString* addDnsZone = @"addDnsZone_example"; // зона, которую необходимо создать
NSString* addDnsRecord = @"addDnsRecord_example"; //  (optional)
NSString* iisSiteForDns = @"iisSiteForDns_example"; // ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
NSNumber* bindOnly = @true; //  (optional)

SWGDNSApi*apiInstance = [[SWGDNSApi alloc] init];

// Создание записи домена
[apiInstance dnsAddGetWithToken_:token_
              addDnsZone:addDnsZone
              addDnsRecord:addDnsRecord
              iisSiteForDns:iisSiteForDns
              bindOnly:bindOnly
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGDNSApi->dnsAddGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **addDnsZone** | **NSString***| зона, которую необходимо создать | 
 **addDnsRecord** | **NSString***|  | [optional] 
 **iisSiteForDns** | **NSString***| ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку | [optional] 
 **bindOnly** | **NSNumber***|  | [optional] 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dnsBindGet**
```objc
-(NSNumber*) dnsBindGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    bindTo: (NSString*) bindTo
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Привязка одного домена к другому

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID домена из списка /dns/list
NSString* bindTo = @"bindTo_example"; // домен, к которому необходимо сделать привязку (optional)

SWGDNSApi*apiInstance = [[SWGDNSApi alloc] init];

// Привязка одного домена к другому
[apiInstance dnsBindGetWithToken_:token_
              key_:key_
              bindTo:bindTo
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGDNSApi->dnsBindGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID домена из списка /dns/list | 
 **bindTo** | **NSString***| домен, к которому необходимо сделать привязку | [optional] 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dnsListGet**
```objc
-(NSNumber*) dnsListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2003>* output, NSError* error)) handler;
```

Получить список доменных имён

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGDNSApi*apiInstance = [[SWGDNSApi alloc] init];

// Получить список доменных имён
[apiInstance dnsListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2003>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGDNSApi->dnsListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2003>***](SWGInlineResponse2003.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dnsProlongListGet**
```objc
-(NSNumber*) dnsProlongListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2004>* output, NSError* error)) handler;
```

Информация по продлению доменов

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGDNSApi*apiInstance = [[SWGDNSApi alloc] init];

// Информация по продлению доменов
[apiInstance dnsProlongListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2004>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGDNSApi->dnsProlongListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2004>***](SWGInlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dnsRawGet**
```objc
-(NSNumber*) dnsRawGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    sDel: (NSNumber*) sDel
    sAdd: (NSNumber*) sAdd
    dnsType: (NSString*) dnsType
    dnsName: (NSString*) dnsName
    dnsValue: (NSString*) dnsValue
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Редактирование \"сырой\" зоны

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID домена из /dns/list
NSNumber* sDel = @56; // Значение '1' сообщает, что запись необходимо удалить
NSNumber* sAdd = @56; // Значение '1' сообщает, что запись необходимо создать
NSString* dnsType = @"dnsType_example"; // Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
NSString* dnsName = @"dnsName_example"; // Имя записи, либо '@' для корневой
NSString* dnsValue = @"dnsValue_example"; // Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)

SWGDNSApi*apiInstance = [[SWGDNSApi alloc] init];

// Редактирование \"сырой\" зоны
[apiInstance dnsRawGetWithToken_:token_
              key_:key_
              sDel:sDel
              sAdd:sAdd
              dnsType:dnsType
              dnsName:dnsName
              dnsValue:dnsValue
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGDNSApi->dnsRawGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID домена из /dns/list | 
 **sDel** | **NSNumber***| Значение &#39;1&#39; сообщает, что запись необходимо удалить | 
 **sAdd** | **NSNumber***| Значение &#39;1&#39; сообщает, что запись необходимо создать | 
 **dnsType** | **NSString***| Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV | 
 **dnsName** | **NSString***| Имя записи, либо &#39;@&#39; для корневой | 
 **dnsValue** | **NSString***| Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **dnsRawManagedmxGet**
```objc
-(NSNumber*) dnsRawManagedmxGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    managedMx: (NSNumber*) managedMx
    updManagedMx: (NSNumber*) updManagedMx
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Редактировать DNS-зону

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID домена из /dns/list
NSNumber* managedMx = @56; // Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить
NSNumber* updManagedMx = @56; // Значение '1' подтверждает операцию

SWGDNSApi*apiInstance = [[SWGDNSApi alloc] init];

// Редактировать DNS-зону
[apiInstance dnsRawManagedmxGetWithToken_:token_
              key_:key_
              managedMx:managedMx
              updManagedMx:updManagedMx
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGDNSApi->dnsRawManagedmxGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID домена из /dns/list | 
 **managedMx** | **NSNumber***| Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить | 
 **updManagedMx** | **NSNumber***| Значение &#39;1&#39; подтверждает операцию | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

