# SWGMySQLPostgresApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**databaseListGet**](SWGMySQLPostgresApi.md#databaselistget) | **GET** /database/list | Список аккаунтов в базах данных UNIX


# **databaseListGet**
```objc
-(NSNumber*) databaseListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse2002>* output, NSError* error)) handler;
```

Список аккаунтов в базах данных UNIX

Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,   идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля 'server' в ответе), а суффикс равен '1gb.ru', то домен   для доступа будет равен 'mysql123.1gb.ru'.

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGMySQLPostgresApi*apiInstance = [[SWGMySQLPostgresApi alloc] init];

// Список аккаунтов в базах данных UNIX
[apiInstance databaseListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse2002>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGMySQLPostgresApi->databaseListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse2002>***](SWGInlineResponse2002.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

