# SWGVDSHyperVOpenVZApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**vdsCreateGet**](SWGVDSHyperVOpenVZApi.md#vdscreateget) | **GET** /vds/create | Изменение параметров VDS
[**vdsDeleteGet**](SWGVDSHyperVOpenVZApi.md#vdsdeleteget) | **GET** /vds/delete | Удаление VDS
[**vdsIpAddGet**](SWGVDSHyperVOpenVZApi.md#vdsipaddget) | **GET** /vds/ip/add | Добавление IP на VDS
[**vdsIpDeleteGet**](SWGVDSHyperVOpenVZApi.md#vdsipdeleteget) | **GET** /vds/ip/delete | Удаление IP с VDS
[**vdsIpListGet**](SWGVDSHyperVOpenVZApi.md#vdsiplistget) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
[**vdsListGet**](SWGVDSHyperVOpenVZApi.md#vdslistget) | **GET** /vds/list | Список виртуальных серверов
[**vdsRebootGet**](SWGVDSHyperVOpenVZApi.md#vdsrebootget) | **GET** /vds/reboot | Перезагрузка VDS
[**vdsTemplatesListGet**](SWGVDSHyperVOpenVZApi.md#vdstemplateslistget) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
[**vdsUpdateGet**](SWGVDSHyperVOpenVZApi.md#vdsupdateget) | **GET** /vds/update | Создание VDS


# **vdsCreateGet**
```objc
-(NSNumber*) vdsCreateGetWithToken_: (NSString*) token_
    type: (NSString*) type
    crHvmem: (NSNumber*) crHvmem
    crHvdsk: (NSNumber*) crHvdsk
    crHvcpu: (NSNumber*) crHvcpu
    template: (NSString*) template
    forceMemo: (NSString*) forceMemo
    hv1gbPanelVersion: (NSString*) hv1gbPanelVersion
    panelInstall: (NSNumber*) panelInstall
    crSsd1: (NSNumber*) crSsd1
    crHvAllSystem: (NSNumber*) crHvAllSystem
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Изменение параметров VDS

Изменение параметров уже существующего VDS

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSString* type = @"type_example"; // Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic' (optional)
NSNumber* crHvmem = @56; // Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
NSNumber* crHvdsk = @56; // Количество доступных гигабайт диска. По умолчанию 30 (optional)
NSNumber* crHvcpu = @56; // Количество ядер CPU. По умолчанию 2 (optional)
NSString* template = @"template_example"; // Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
NSString* forceMemo = @"forceMemo_example"; //  (optional)
NSString* hv1gbPanelVersion = @"hv1gbPanelVersion_example"; //  (optional)
NSNumber* panelInstall = @true; // Необходимо ли установить панель 1Gb на VDS (optional)
NSNumber* crSsd1 = @true; // Создать всю систему на SSD (optional)
NSNumber* crHvAllSystem = @true; // Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Изменение параметров VDS
[apiInstance vdsCreateGetWithToken_:token_
              type:type
              crHvmem:crHvmem
              crHvdsk:crHvdsk
              crHvcpu:crHvcpu
              template:template
              forceMemo:forceMemo
              hv1gbPanelVersion:hv1gbPanelVersion
              panelInstall:panelInstall
              crSsd1:crSsd1
              crHvAllSystem:crHvAllSystem
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsCreateGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **type** | **NSString***| Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; | [optional] 
 **crHvmem** | **NSNumber***| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional] 
 **crHvdsk** | **NSNumber***| Количество доступных гигабайт диска. По умолчанию 30 | [optional] 
 **crHvcpu** | **NSNumber***| Количество ядер CPU. По умолчанию 2 | [optional] 
 **template** | **NSString***| Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list | [optional] 
 **forceMemo** | **NSString***|  | [optional] 
 **hv1gbPanelVersion** | **NSString***|  | [optional] 
 **panelInstall** | **NSNumber***| Необходимо ли установить панель 1Gb на VDS | [optional] 
 **crSsd1** | **NSNumber***| Создать всю систему на SSD | [optional] 
 **crHvAllSystem** | **NSNumber***| Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) | [optional] 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsDeleteGet**
```objc
-(NSNumber*) vdsDeleteGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    forceCritical: (NSNumber*) forceCritical
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Удаление VDS

Предоставляет функционал для удаления VDS

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера, полученный из /vds/list
NSNumber* forceCritical = @true; // Если true, VDS будет удален срочно (optional)

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Удаление VDS
[apiInstance vdsDeleteGetWithToken_:token_
              key_:key_
              forceCritical:forceCritical
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsDeleteGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера, полученный из /vds/list | 
 **forceCritical** | **NSNumber***| Если true, VDS будет удален срочно | [optional] 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsIpAddGet**
```objc
-(NSNumber*) vdsIpAddGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Добавление IP на VDS

Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера, полученный из /vds/list

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Добавление IP на VDS
[apiInstance vdsIpAddGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsIpAddGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера, полученный из /vds/list | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsIpDeleteGet**
```objc
-(NSNumber*) vdsIpDeleteGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    delIp: (NSString*) delIp
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Удаление IP с VDS

Этот вызов позволяет отвязать IP адрес от VDS

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера, полученный из /vds/list
NSString* delIp = @"delIp_example"; // IP адрес, который необходимо удалить

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Удаление IP с VDS
[apiInstance vdsIpDeleteGetWithToken_:token_
              key_:key_
              delIp:delIp
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsIpDeleteGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера, полученный из /vds/list | 
 **delIp** | **NSString***| IP адрес, который необходимо удалить | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsIpListGet**
```objc
-(NSNumber*) vdsIpListGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
        completionHandler: (void (^)(NSArray<SWGInlineResponse20011>* output, NSError* error)) handler;
```

Список IP-адресов виртуальных серверов

Список IP-адресов виртуальных серверов

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера, полученный из /vds/list (optional)

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Список IP-адресов виртуальных серверов
[apiInstance vdsIpListGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSArray<SWGInlineResponse20011>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsIpListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера, полученный из /vds/list | [optional] 

### Return type

[**NSArray<SWGInlineResponse20011>***](SWGInlineResponse20011.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsListGet**
```objc
-(NSNumber*) vdsListGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
        completionHandler: (void (^)(NSArray<SWGInlineResponse20012>* output, NSError* error)) handler;
```

Список виртуальных серверов

Позволяет получить список виртуальных серверов

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Список виртуальных серверов
[apiInstance vdsListGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSArray<SWGInlineResponse20012>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS | [optional] 

### Return type

[**NSArray<SWGInlineResponse20012>***](SWGInlineResponse20012.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsRebootGet**
```objc
-(NSNumber*) vdsRebootGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Перезагрузка VDS

Предоставляет функционал для перезагрузки VDS

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера, полученный из /vds/list

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Перезагрузка VDS
[apiInstance vdsRebootGetWithToken_:token_
              key_:key_
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsRebootGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера, полученный из /vds/list | 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsTemplatesListGet**
```objc
-(NSNumber*) vdsTemplatesListGetWithToken_: (NSString*) token_
        completionHandler: (void (^)(NSArray<SWGInlineResponse20013>* output, NSError* error)) handler;
```

Список шаблонов виртуальных серверов

Позволяет получить список шаблонов виртуальных серверов

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Список шаблонов виртуальных серверов
[apiInstance vdsTemplatesListGetWithToken_:token_
          completionHandler: ^(NSArray<SWGInlineResponse20013>* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsTemplatesListGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 

### Return type

[**NSArray<SWGInlineResponse20013>***](SWGInlineResponse20013.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **vdsUpdateGet**
```objc
-(NSNumber*) vdsUpdateGetWithToken_: (NSString*) token_
    key_: (NSNumber*) key_
    crHvmem: (NSNumber*) crHvmem
    crHvdsk: (NSNumber*) crHvdsk
    crHvcpu: (NSNumber*) crHvcpu
        completionHandler: (void (^)(NSString* output, NSError* error)) handler;
```

Создание VDS

Создание новых VDS с произвольными характеристиками

### Example 
```objc

NSString* token_ = @"token__example"; // Ключ доступа, полученный при авторизации
NSNumber* key_ = @56; // ID виртуального сервера, полученный из /vds/list
NSNumber* crHvmem = @56; // Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
NSNumber* crHvdsk = @56; // Количество доступных гигабайт диска. По умолчанию 30 (optional)
NSNumber* crHvcpu = @56; // Количество ядер CPU. По умолчанию 2 (optional)

SWGVDSHyperVOpenVZApi*apiInstance = [[SWGVDSHyperVOpenVZApi alloc] init];

// Создание VDS
[apiInstance vdsUpdateGetWithToken_:token_
              key_:key_
              crHvmem:crHvmem
              crHvdsk:crHvdsk
              crHvcpu:crHvcpu
          completionHandler: ^(NSString* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling SWGVDSHyperVOpenVZApi->vdsUpdateGet: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **token_** | **NSString***| Ключ доступа, полученный при авторизации | 
 **key_** | **NSNumber***| ID виртуального сервера, полученный из /vds/list | 
 **crHvmem** | **NSNumber***| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional] 
 **crHvdsk** | **NSNumber***| Количество доступных гигабайт диска. По умолчанию 30 | [optional] 
 **crHvcpu** | **NSNumber***| Количество ядер CPU. По умолчанию 2 | [optional] 

### Return type

**NSString***

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

